package jp.gr.java_conf.davinche.notepad.ar;

import jp.gr.java_conf.davinche.notepad.database.NotepadDto;
import android.app.Activity;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnTouchListener;
import android.view.ViewGroup.LayoutParams;

public class OpenSelectListListener implements OnTouchListener {

  private NotepadDto dto;

  private Activity activity;

  public OpenSelectListListener(Activity activity, NotepadDto dto) {
    this.dto = dto;
    this.activity = activity;
  }

  @Override
  public boolean onTouch(View view, MotionEvent event) {
    // ^b`ꂽ|WV̎擾
    int x = (int) event.getRawX();
    int y = (int) event.getRawY();

    AroundMemoViewManager manager = AroundMemoViewManager.getInstance();

    if (!manager.isHit(x, y)) {
      AroundMemoUnitView unitView = new AroundMemoUnitView(activity, dto.getContent(), x, y);
      manager.add(unitView);
      activity.addContentView(unitView, new LayoutParams(LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT));
    }

    return false;
  }

}
