package jp.gr.java_conf.davinche.notepad.list;

import jp.gr.java_conf.davinche.notepad.R;
import jp.gr.java_conf.davinche.notepad.database.NotepadDto;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

public class ContentAdapter extends ArrayAdapter<NotepadDto> {

  private LayoutInflater layoutInflater = null;

  public ContentAdapter(Context context, int textViewResourceId) {
    super(context, textViewResourceId);
    layoutInflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
  }

  @Override
  public View getView(int position, View convertView, ViewGroup parent) {
    View view = convertView;

    view = layoutInflater.inflate(R.layout.item, null);

    NotepadDto dto = (NotepadDto) getItem(position);

    TextView text = (TextView) view.findViewById(R.id.title);
    text.setText(dto.getTitle());

    return view;
  }

}
