package jp.gr.java_conf.davinche.notepad.list;

import jp.gr.java_conf.davinche.notepad.database.NotepadDto;
import jp.gr.java_conf.davinche.notepad.input.InputActivity;
import android.app.Activity;
import android.content.Intent;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ListView;

public class SelectItemListener implements OnItemClickListener {

  private Activity activity;

  public SelectItemListener(Activity activity) {
    this.activity = activity;
  }

  @Override
  public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
    ListView listView = (ListView) parent;
    NotepadDto item = (NotepadDto) listView.getItemAtPosition(position);

    // XVʂ֑J
    Intent intent = new Intent(activity, InputActivity.class);
    intent.putExtra("id", item.getId());
    activity.startActivityForResult(intent, 0);
  }

}
