package jp.gr.java_conf.davinche.notepad.widget;

import jp.gr.java_conf.davinche.notepad.R;
import jp.gr.java_conf.davinche.notepad.list.ContentAdapter;
import jp.gr.java_conf.davinche.notepad.list.ListActivity;
import android.appwidget.AppWidgetManager;
import android.content.Intent;
import android.os.Bundle;
import android.widget.ListView;

public class StartDialogActivity extends ListActivity {

  @Override
  public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.select);

    setResult(RESULT_CANCELED);

    // AppWidgetId̎擾
    Intent intent = getIntent();
    Bundle extras = intent.getExtras();
    int mAppWidgetId = AppWidgetManager.INVALID_APPWIDGET_ID;
    if (extras != null) {
      mAppWidgetId = extras.getInt(AppWidgetManager.EXTRA_APPWIDGET_ID, AppWidgetManager.INVALID_APPWIDGET_ID);
    }

    // AppID擾łȂΏI
    if (mAppWidgetId == AppWidgetManager.INVALID_APPWIDGET_ID) {
      finish();
      return;
    }

    ContentAdapter adapter = new ContentAdapter(this, android.R.layout.simple_list_item_1);
    initializeNotepadItems(adapter);

    ListView listView = (ListView) findViewById(R.id.titleList);
    listView.setAdapter(adapter);

    // XgĨXi[
    listView.setOnItemClickListener(new SelectWidgetItemListener(this, mAppWidgetId));

  }
}
