package jp.gr.java_conf.davinche.notepad.ar;

import java.io.IOException;

import android.hardware.Camera;
import android.util.Log;
import android.view.SurfaceHolder;
import android.view.SurfaceHolder.Callback;

public class AroundMemoCallback implements Callback {

  private Camera camera;

  @Override
  public void surfaceCreated(SurfaceHolder holder) {
    try {
      camera = Camera.open();
      camera.setPreviewDisplay(holder);
      camera.setDisplayOrientation(90);
    } catch (IOException e) {
      Log.e("AroundCamera", "camera can not open.", e);
    }
  }

  @Override
  public void surfaceChanged(SurfaceHolder holder, int format, int width, int height) {
    if (camera == null) {
      return;
    }
    camera.startPreview();
  }

  @Override
  public void surfaceDestroyed(SurfaceHolder holder) {
    // Jj
    camera.stopPreview();
    camera.release();
    camera = null;
  }

}
