package jp.gr.java_conf.davinche.notepad.ar;

import java.util.ArrayList;
import java.util.List;

public class AroundMemoViewManager {

  private static AroundMemoViewManager instance = null;

  List<AroundMemoUnitView> viewList = new ArrayList<AroundMemoUnitView>();

  private AroundMemoViewManager() {
  }

  public static AroundMemoViewManager getInstance() {
    if (instance == null) {
      instance = new AroundMemoViewManager();
    }
    return instance;
  }

  public boolean isHit(int x, int y) {
    for (AroundMemoUnitView view : viewList) {
      if (view.isHit(x, y)) {
        return true;
      }
    }
    return false;
  }

  public void add(AroundMemoUnitView view) {
    this.viewList.add(view);
  }
}
