package jp.gr.java_conf.davinche.notepad.widget;

import jp.gr.java_conf.davinche.notepad.input.InputActivity;
import android.app.Service;
import android.content.Intent;
import android.os.IBinder;

public class OpenNotepadAction extends Service {

  //ActionID錾
  public static final String ACTION_OPEN_NOTEPAD = "jp.gr.java_conf.davinche.notepad.widget.OpenNotepadAction";

  //ContentIDǗ邽߂ID錾
  public static final String NOTEPAD_CONTENT_ID = "NOTEPAD_CONTENT_ID";

  @Override
  public void onStart(Intent intent, int startId) {
    super.onStart(intent, startId);

    if (ACTION_OPEN_NOTEPAD.equals(intent.getAction())) {
      //ContentID擾
      String itemId = intent.getExtras().getString(NOTEPAD_CONTENT_ID);

      Intent inputIntent = new Intent(getApplicationContext(), InputActivity.class);
      inputIntent.putExtra("id", itemId);
      inputIntent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
      //IDZbgXVʂActivityJn
      getApplicationContext().startActivity(inputIntent);
    }
  }

  @Override
  public IBinder onBind(Intent arg0) {
    return null;
  }

}
